section {
  visibility: hidden;
  opacity: 0;

  &.open {
    visibility: inherit;
    opacity: 1;
  }

  display: block;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.2);
  transition: opacity 250ms ease-in;

  .modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    height: 300px;
    width: 450px;

    background: white;
    padding: 35px;
    border-radius: 8px;
    box-shadow: 0 0 8px 4px rgba(0, 0, 0, 0.1);
  }
}
